package com.klarsys.b4a;

import android.content.Context;
import android.net.wifi.WifiManager;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Permissions;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;

//Library version
@Version(1.0f)

//Applicable only to this class
@ShortName("WifiManager")
@Permissions(values= {
	"android.permission.ACCESS_WIFI_STATE",
	"android.permission.CHANGE_WIFI_STATE",
	"android.permission.CHANGE_WIFI_MULTICAST_STATE",
})

public class WifiManagerWrapper {
	private BA ba;
	private String eventName;
	
	private WifiManager wm;

	public void Initialize(BA ba, String EventName) {
		this.eventName = EventName.toLowerCase(BA.cul);
		this.ba = ba;

		this.wm = ((WifiManager)BA.applicationContext.getSystemService(Context.WIFI_SERVICE));
	}
}
